---
apiVersion: v1
kind: Pod
metadata:
  annotations:
    k8s.v1.cni.cncf.io/network-status: |-
      [{
          "name": "",
          "interface": "eth0",
          "ips": [
              "10.130.0.26"
          ],
          "default": true,
          "dns": {}
      }]
    k8s.v1.cni.cncf.io/networks-status: |-
      [{
          "name": "",
          "interface": "eth0",
          "ips": [
              "10.130.0.26"
          ],
          "default": true,
          "dns": {}
      }]
  creationTimestamp: "2022-03-08T10:44:01Z"
  labels:
    app: installer
  managedFields:
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:labels:
          .: {}
          f:app: {}
        f:ownerReferences:
          .: {}
          k:{"uid":"55e6826d-ac51-4bd0-ae4a-554d11318451"}:
            .: {}
            f:apiVersion: {}
            f:kind: {}
            f:name: {}
            f:uid: {}
      f:spec:
        f:containers:
          k:{"name":"installer"}:
            .: {}
            f:args: {}
            f:command: {}
            f:env:
              .: {}
              k:{"name":"NODE_NAME"}:
                .: {}
                f:name: {}
                f:valueFrom:
                  .: {}
                  f:fieldRef:
                    .: {}
                    f:apiVersion: {}
                    f:fieldPath: {}
              k:{"name":"POD_NAME"}:
                .: {}
                f:name: {}
                f:valueFrom:
                  .: {}
                  f:fieldRef:
                    .: {}
                    f:apiVersion: {}
                    f:fieldPath: {}
            f:image: {}
            f:imagePullPolicy: {}
            f:name: {}
            f:resources:
              .: {}
              f:limits:
                .: {}
                f:cpu: {}
                f:memory: {}
              f:requests:
                .: {}
                f:cpu: {}
                f:memory: {}
            f:securityContext:
              .: {}
              f:privileged: {}
              f:runAsUser: {}
            f:terminationMessagePath: {}
            f:terminationMessagePolicy: {}
            f:volumeMounts:
              .: {}
              k:{"mountPath":"/etc/kubernetes/"}:
                .: {}
                f:mountPath: {}
                f:name: {}
        f:dnsPolicy: {}
        f:enableServiceLinks: {}
        f:nodeName: {}
        f:priorityClassName: {}
        f:restartPolicy: {}
        f:schedulerName: {}
        f:securityContext:
          .: {}
          f:runAsUser: {}
        f:serviceAccount: {}
        f:serviceAccountName: {}
        f:terminationGracePeriodSeconds: {}
        f:tolerations: {}
        f:volumes:
          .: {}
          k:{"name":"kubelet-dir"}:
            .: {}
            f:hostPath:
              .: {}
              f:path: {}
              f:type: {}
            f:name: {}
    manager: cluster-kube-controller-manager-operator
    operation: Update
    time: "2022-03-08T10:44:01Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:k8s.v1.cni.cncf.io/network-status: {}
          f:k8s.v1.cni.cncf.io/networks-status: {}
    manager: multus
    operation: Update
    time: "2022-03-08T10:44:08Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        f:conditions:
          .: {}
          k:{"type":"ContainersReady"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:reason: {}
            f:status: {}
            f:type: {}
          k:{"type":"Initialized"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:reason: {}
            f:status: {}
            f:type: {}
          k:{"type":"PodScheduled"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
          k:{"type":"Ready"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:reason: {}
            f:status: {}
            f:type: {}
        f:containerStatuses: {}
        f:hostIP: {}
        f:phase: {}
        f:podIP: {}
        f:podIPs:
          .: {}
          k:{"ip":"10.130.0.26"}:
            .: {}
            f:ip: {}
        f:startTime: {}
    manager: kubelet
    operation: Update
    time: "2022-03-08T10:44:14Z"
  name: installer-6-master-0.case03116926.lab.upshift.rdu2.redhat.com
  namespace: openshift-kube-controller-manager
  ownerReferences:
  - apiVersion: v1
    kind: ConfigMap
    name: revision-status-6
    uid: 55e6826d-ac51-4bd0-ae4a-554d11318451
  resourceVersion: "16499"
  selfLink: /api/v1/namespaces/openshift-kube-controller-manager/pods/installer-6-master-0.case03116926.lab.upshift.rdu2.redhat.com
  uid: 4edbcbfc-6664-4508-a311-c30586342fca
spec:
  containers:
  - args:
    - -v=2
    - --revision=6
    - --namespace=openshift-kube-controller-manager
    - --pod=kube-controller-manager-pod
    - --resource-dir=/etc/kubernetes/static-pod-resources
    - --pod-manifest-dir=/etc/kubernetes/manifests
    - --configmaps=kube-controller-manager-pod
    - --configmaps=config
    - --configmaps=cluster-policy-controller-config
    - --configmaps=controller-manager-kubeconfig
    - --optional-configmaps=cloud-config
    - --configmaps=kube-controller-cert-syncer-kubeconfig
    - --configmaps=serviceaccount-ca
    - --configmaps=service-ca
    - --configmaps=recycler-config
    - --secrets=service-account-private-key
    - --optional-secrets=serving-cert
    - --secrets=localhost-recovery-client-token
    - --cert-dir=/etc/kubernetes/static-pod-resources/kube-controller-manager-certs
    - --cert-configmaps=aggregator-client-ca
    - --cert-configmaps=client-ca
    - --optional-cert-configmaps=trusted-ca-bundle
    - --cert-secrets=kube-controller-manager-client-cert-key
    - --cert-secrets=csr-signer
    command:
    - cluster-kube-controller-manager-operator
    - installer
    env:
    - name: POD_NAME
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: metadata.name
    - name: NODE_NAME
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: spec.nodeName
    image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:2a14d07ddcc0c0dfbbda41e18087dcaef4c36de4af4f62df526d878b79bd8b8a
    imagePullPolicy: IfNotPresent
    name: installer
    resources:
      limits:
        cpu: 150m
        memory: 200M
      requests:
        cpu: 150m
        memory: 200M
    securityContext:
      privileged: true
      runAsUser: 0
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: FallbackToLogsOnError
    volumeMounts:
    - mountPath: /etc/kubernetes/
      name: kubelet-dir
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: installer-sa-token-4x2s9
      readOnly: true
  dnsPolicy: ClusterFirst
  enableServiceLinks: true
  imagePullSecrets:
  - name: installer-sa-dockercfg-t8rwp
  nodeName: master-0.case03116926.lab.upshift.rdu2.redhat.com
  preemptionPolicy: PreemptLowerPriority
  priority: 2000001000
  priorityClassName: system-node-critical
  restartPolicy: Never
  schedulerName: default-scheduler
  securityContext:
    runAsUser: 0
  serviceAccount: installer-sa
  serviceAccountName: installer-sa
  terminationGracePeriodSeconds: 30
  tolerations:
  - operator: Exists
  volumes:
  - hostPath:
      path: /etc/kubernetes/
      type: ""
    name: kubelet-dir
  - name: installer-sa-token-4x2s9
    secret:
      defaultMode: 420
      secretName: installer-sa-token-4x2s9
status:
  conditions:
  - lastProbeTime: null
    lastTransitionTime: "2022-03-08T10:44:01Z"
    reason: PodCompleted
    status: "True"
    type: Initialized
  - lastProbeTime: null
    lastTransitionTime: "2022-03-08T10:44:13Z"
    reason: PodCompleted
    status: "False"
    type: Ready
  - lastProbeTime: null
    lastTransitionTime: "2022-03-08T10:44:13Z"
    reason: PodCompleted
    status: "False"
    type: ContainersReady
  - lastProbeTime: null
    lastTransitionTime: "2022-03-08T10:44:01Z"
    status: "True"
    type: PodScheduled
  containerStatuses:
  - containerID: cri-o://951e5b523ccde25fd0cdbd4d33c14b00c42afca3e72a33b8b15aa067e4ddfc6b
    image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:2a14d07ddcc0c0dfbbda41e18087dcaef4c36de4af4f62df526d878b79bd8b8a
    imageID: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:2a14d07ddcc0c0dfbbda41e18087dcaef4c36de4af4f62df526d878b79bd8b8a
    lastState: {}
    name: installer
    ready: false
    restartCount: 0
    started: false
    state:
      terminated:
        containerID: cri-o://951e5b523ccde25fd0cdbd4d33c14b00c42afca3e72a33b8b15aa067e4ddfc6b
        exitCode: 0
        finishedAt: "2022-03-08T10:44:13Z"
        reason: Completed
        startedAt: "2022-03-08T10:44:10Z"
  hostIP: 10.0.94.119
  phase: Succeeded
  podIP: 10.130.0.26
  podIPs:
  - ip: 10.130.0.26
  qosClass: Guaranteed
  startTime: "2022-03-08T10:44:01Z"
